<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:16 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.tooling.events.test (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.tooling.events.test (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/tooling/events/task/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../org/gradle/tooling/exceptions/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/events/test/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<p><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
</p>
<h1 title="Package" class="title">Package&nbsp;org.gradle.tooling.events.test</h1>
<div class="docSummary">
<div class="block">Test execution specific interfaces and classes related to event notifications.</div>
</div>
<p>See:&nbsp;<a href="#package_description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/tooling/events/test/JvmTestOperationDescriptor.html" title="interface in org.gradle.tooling.events.test">JvmTestOperationDescriptor</a></td>
<td class="colLast">
<div class="block">Describes a test that runs on the JVM and for which an event has occurred.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/tooling/events/test/TestFailureResult.html" title="interface in org.gradle.tooling.events.test">TestFailureResult</a></td>
<td class="colLast">
<div class="block">Describes how a test operation finished with failures.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/tooling/events/test/TestFinishEvent.html" title="interface in org.gradle.tooling.events.test">TestFinishEvent</a></td>
<td class="colLast">
<div class="block">An event that informs about a test having finished its execution.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/tooling/events/test/TestOperationDescriptor.html" title="interface in org.gradle.tooling.events.test">TestOperationDescriptor</a></td>
<td class="colLast">
<div class="block">Describes a test operation for which an event has occurred.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/tooling/events/test/TestOperationResult.html" title="interface in org.gradle.tooling.events.test">TestOperationResult</a></td>
<td class="colLast">
<div class="block">Describes the result of running a test operation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/tooling/events/test/TestProgressEvent.html" title="interface in org.gradle.tooling.events.test">TestProgressEvent</a></td>
<td class="colLast">
<div class="block">Root interface for all events that signal progress while executing a test or test suite.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/tooling/events/test/TestSkippedResult.html" title="interface in org.gradle.tooling.events.test">TestSkippedResult</a></td>
<td class="colLast">
<div class="block">Describes how a test operation was skipped.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/tooling/events/test/TestStartEvent.html" title="interface in org.gradle.tooling.events.test">TestStartEvent</a></td>
<td class="colLast">
<div class="block">An event that informs about a test having started its execution.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/tooling/events/test/TestSuccessResult.html" title="interface in org.gradle.tooling.events.test">TestSuccessResult</a></td>
<td class="colLast">
<div class="block">Describes how a test operation finished successfully.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/tooling/events/test/JvmTestKind.html" title="enum in org.gradle.tooling.events.test">JvmTestKind</a></td>
<td class="colLast">
<div class="block">Enumerates the different kinds of JVM tests.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package_description">
<!--   -->
</a>
<h2 title="Package org.gradle.tooling.events.test Description">Package org.gradle.tooling.events.test Description</h2>
<div class="block">Test execution specific interfaces and classes related to event notifications.</div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/tooling/events/task/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../org/gradle/tooling/exceptions/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/events/test/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
